API references
Search documentation... ⌘K
API references

Check the status of the payment session

This endpoint allows you to check the current status of a payment session. The payment session goes through several states during its lifecycle:

  • PENDING: The customer has requested to start the payment flow but hasn't begun yet
  • INITIATED: You (the merchant) have initiated the payment flow and it's ready for the customer
  • SUCCESSFUL: Payment completed successfully
  • FAILED: Payment failed or was declined

You should poll this endpoint periodically to track the payment progress. We recommend polling not faster than every 1 second.

Endpoint signature
POST https://api.reservepay.com/sdk/check-status HTTP/1.1
Content-Type: application/json
Accept: application/json
{
merchant_id: string,
installation_id: string,
payment_session_id: string,
}
Returns: string
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
merchant_id string

Required. Your merchant ID that uniquely identifies your account.

installation_id string

Required. The installation ID for this platform (e.g. your iOS app, Android app, website, or terminal).

payment_session_id string

Required. The ID of the payment session you want to check the status for. This is returned when selecting a payment method.

Errors specific to this endpoint
NOT_FOUND

This error occurs when we cannot find the merchant account, installation, or payment session with the IDs provided. Double check that you are using the correct IDs.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that is either deprecated or not yet released. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
curl "https://api.reservepay.com/sdk/check-status" \
  -X POST
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '{
        "merchant_id": "123456789012",
        "installation_id": "ins_xhBi6ypq9G",
        "payment_session_id": "pse_01jz22vgekfrp101aw24f4g9dx"
      }'

Learn how to run these code samples in your terminal by reading our guide.